<?php
/**
 * Core Functions
 *
 * @package  Onbuy_Integration_By_CedCommerce
 * @version  1.0.0
 * @link     https://cedcommerce.com
 * @since    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

function ced_onbuy_check_woocommerce_active() {
	if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
		return true;
	}
	return false;
}

function deactivate_ced_onbuy_woo_missing() {
	deactivate_plugins( CED_ONBUY_PLUGIN_BASENAME );
	add_action( 'admin_notices', 'ced_onbuy_woo_missing_notice' );
	if ( isset( $_GET['activate'] ) ) {
		unset( $_GET['activate'] );
	}
}

function ced_onbuy_woo_missing_notice() {

	// translators: %s: search term !!
	echo '<div class="notice notice-error is-dismissible"><p>' . sprintf( esc_html( __( 'OnBuy Integration By CedCommerce requires WooCommerce to be installed and active. You can download %s from here.', 'onbuy-integration-by-cedcommerce' ) ), '<a href="http://www.woothemes.com/woocommerce/" target="_blank">WooCommerce</a>' ) . '</p></div>';
}

function ced_onbuy_account_data( $shop_id = '' ) {
	global $wpdb;
	$shop_details = $wpdb->get_row( $wpdb->prepare( 'SELECT * FROM wp_ced_onbuy_accounts WHERE `shop_id`= %d', $shop_id ), 'ARRAY_A' );
	return $shop_details;
}

function ced_onbuy_inactive_shops( $shop_id = '') {
	global $wpdb;
	$in_active_shops = $wpdb->get_results( $wpdb->prepare( 'SELECT `shop_id` FROM wp_ced_onbuy_accounts WHERE `account_status` = %s ', 'inactive' ), 'ARRAY_A' );

	foreach ( $in_active_shops as $key => $value ) {
		if ( $value['shop_id'] === $shop_id ) {
			return true;
		}
	}
}

function ced_onbuy_get_woo_categories() {
	$woo_store_categories = get_terms('product_cat');
	foreach ($woo_store_categories as $key => $value) {
		$categories[$value->name] = $value->term_id;
	}
	return $categories;
}

